Bug 802381 - Port Printers panel to FirewallD1 API
Port Printers panel to FirewallD1 API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
RejectedBlocker
:
: 812824 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 08:30 EDT by Marek Kašík
Modified: 2013-07-04 17:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: control-center-3.4.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 17:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
unfinished patch (9.06 KB, patch)
2012-03-12 08:42 EDT, Marek Kašík
no flags Details | Diff

  None (edit)
Description Marek Kašík 2012-03-12 08:30:29 EDT
Description of problem:
Firewalld has a new API since version 2.0. control-center needs to check whether there is this new version of firewalld available or the old one and run appropriate functions to enable required ports for printers detection.


Version-Release number of selected component (if applicable):
control-center-3.3.91

How reproducible:
Always.


Steps to Reproduce:
1. service firewalld start
2. try to add new printer with control-center
3.
  
Actual results:
The dialog says that  FirewallD is not running.


Expected results:
The dialog doesn't inform you about FirewallD and it just enables required services for given timeout (5 minutes). It also has to enable used service permanently after new printer was added.


Additional info:
You have to get active zones with function getActiveZones and enable required services for all of them. You have to also disable them after you don't need them (don't wait for the timeout, just disable it when you don't need them - the timeout is just a fail-safe solution), so a list of zones on which you enabled those services is needed (some of those zones could have the service enabled before, so don't disable the service for them).

We need the same for gnome-settings-daemon.
Comment 1 Marek Kašík 2012-03-12 08:32:09 EDT
> We need the same for gnome-settings-daemon.

This is not true.
Comment 2 Marek Kašík 2012-03-12 08:34:51 EDT
I won't be able to finish this this week.
Comment 3 Marek Kašík 2012-03-12 08:42:28 EDT
Created attachment 569376 [details]
unfinished patch

This need to change methods' names (and their path to .zone*) and incorporate processing of zones (getActiveZones - output is dictionary of zones where you have list of interfaces for each active zone. Just get names of zones. Don't care about interfaces.).

enableService -> addService
disableService -> removeService
Comment 4 Adam Williamson 2012-03-12 17:54:08 EDT
As an initial response, I'd be unlikely to vote for this as a Beta blocker with the current description: printing functionality is not considered to block Beta (or, for that matter, Final).

Note that the feature and release validation processes are explicitly considered to be separate: a feature being incomplete does not, in and of itself, constitute a Beta blocker.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Marek Kašík 2012-03-23 11:11:46 EDT
I've prepared a patch for this. It is attached to https://bugzilla.gnome.org/show_bug.cgi?id=672682.

control-center shows the message about missing firewalld even if firewalld-2.* is installed and running without this patch.
Comment 6 Matthias Clasen 2012-04-11 20:15:02 EDT
Marek, we should get this landed soon, I guess
Comment 7 Marek Kašík 2012-04-12 09:37:52 EDT
I've committed this to Fedora 17 repository but not filled an update for it. Do you think that it should go to updates now or can it wait until next week when the gnome-control-center-3.4.1 is planned?

Marek
Comment 8 Marek Kašík 2012-04-16 08:43:03 EDT
*** Bug 812824 has been marked as a duplicate of this bug. ***
Comment 9 Adam Williamson 2012-04-20 15:05:22 EDT
Discussed at 2012-04-20 blocker review meeting - http://meetbot.fedoraproject.org/fedora-bugzappers/2012-04-20/fedora-bugzappers.2012-04-20-17.01.log.txt . Rejected as a blocker as it doesn't hit the criteria (we don't cover printing) and can be fixed with an update.
Comment 10 Fedora End Of Life 2013-07-04 02:59:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Adam Williamson 2013-07-04 17:23:14 EDT
The current stable version of control-center for F17 is 3.4.3-1:

https://admin.fedoraproject.org/updates/FEDORA-2012-19496/control-center-3.4.3-1.fc17,libwacom-0.6.1-1.fc17,gnome-settings-daemon-3.4.2-4.fc17

so I'm pretty sure we can consider this fixed.

Note You need to log in before you can comment on or make changes to this bug.